/** @format */

import * as React from 'react';
import {merchantType} from '../../const/status';
import Select, {SelectProps, SelectOptionProp} from './select';
const options: SelectOptionProp[] = [];
for (let k in merchantType) {
    if (isNaN(k as any)) {
        options.push({
            key: Number(merchantType[k]),
            value: Number(merchantType[k]),
            label: k,
        });
    }
}
/**
 * 商户类型
 */
export default React.forwardRef((props: SelectProps, ref) => {
    const { mode } = props
    return <Select ref={ref} placeholder='请选择商户类型' allowClear mode={mode} options={options} {...props} />;
});